- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fortios_wanopt_cache_service – Designate cache-service for wan-optimization and webcache in Fortinet’s FortiOS and FortiGate

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify wanopt feature and cache_service category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.
https boolean | Choices: no yes ← | Indicates if the requests towards FortiGate must use HTTPS protocol.
password string | Default: "" | FortiOS or FortiGate password.
ssl_verify boolean | Choices: no yes ← | Ensures FortiGate certificate must be verified by a proper CA.
username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.
wanopt_cache_service dictionary | Default: null | Designate cache-service for wan-optimization and webcache.
| acceptable_connections string | Choices: any peers | Set strategy when accepting cache collaboration connection.
| collaboration string | Choices: enable disable | Enable/disable cache-collaboration between cache-service clusters.
| device_id string |  | Set identifier for this cache device.
| dst_peer list |  | Modify cache-service destination peer list.
|  | auth_type integer |  | Set authentication type for this peer.
|  | device_id string |  | Device ID of this peer.
|  | encode_type integer |  | Set encode type for this peer.
|  | ip string |  | Set cluster IP address of this peer.
|  | priority integer |  | Set priority for this peer.
| prefer_scenario string | Choices: balance prefer-speed prefer-cache | Set the preferred cache behavior towards the balance between latency and hit-ratio.
| src_peer list |  | Modify cache-service source peer list.
|  | auth_type integer |  | Set authentication type for this peer.
|  | device_id string |  | Device ID of this peer.
|  | encode_type integer |  | Set encode type for this peer.
|  | ip string |  | Set cluster IP address of this peer.
|  | priority integer |  | Set priority for this peer.

## Notes

Note

- Requires fortiosapi library developed by Fortinet

- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Designate cache-service for wan-optimization and webcache.
        fortios_wanopt_cache_service:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          wanopt_cache_service:
            acceptable_connections: "any"
            collaboration: "enable"
            device_id: "<your_own_value>"
            dst_peer:
             -
                auth_type: "7"
                device_id: "<your_own_value>"
                encode_type: "9"
                ip: "<your_own_value>"
                priority: "11"
            prefer_scenario: "balance"
            src_peer:
             -
                auth_type: "14"
                device_id: "<your_own_value>"
                encode_type: "16"
                ip: "<your_own_value>"
                priority: "18"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)

- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.